#include "RSA.h"
#include <iostream>
using namespace std;

void main()
{	RSA myRSA(3,11);
	if (myRSA.intest == 1)
		{	myRSA.produce_key();
			cout << "公钥对：("<< myRSA.getn() << "," << myRSA.gete() << ")"<<endl;
			cout << "私钥对：("<< myRSA.getn() << "," << myRSA.getd() << ")"<<endl;
			myRSA.encrypt(25);
			cout << "密文："<< myRSA.getc() << endl;
		}
	else cout << "输入错误" << endl;
	system("pause");
}
